qpid::framing::Xid Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Friends
qpid::framing::Xid Class Reference

`#include <qpid/framing/Xid.h>`

List of all members.

## Public Member Functions
| Xid (uint32_t _format, const std::string &_globalId, const std::string &_branchId)
| Xid ()
void | setFormat (uint32_t _format)
uint32_t | getFormat () const
bool | hasFormat () const
void | clearFormatFlag ()
void | setGlobalId (const std::string &_globalId)
const std::string & | getGlobalId () const
bool | hasGlobalId () const
void | clearGlobalIdFlag ()
void | setBranchId (const std::string &_branchId)
const std::string & | getBranchId () const
bool | hasBranchId () const
void | clearBranchIdFlag ()
void | encode (Buffer &) const
void | decode (Buffer &, uint32_t=0)
void | encodeStructBody (Buffer &) const
void | decodeStructBody (Buffer &, uint32_t=0)
uint32_t | encodedSize () const
uint32_t | bodySize () const
void | print (std::ostream &out) const
## Static Public Attributes
static const uint16_t | TYPE = 1540
## Friends
std::ostream & | operator<< (std::ostream &, const Xid &)

## Constructor & Destructor Documentation

qpid::framing::Xid::Xid | ( | uint32_t | _format,
|  | const std::string & | _globalId,
|  | const std::string & | _branchId
| ) |  | `[inline]`

Definition at line 45 of file Xid.h.

qpid::framing::Xid::Xid | ( |  | ) | `[inline]`

Definition at line 57 of file Xid.h.

## Member Function Documentation

uint32_t qpid::framing::Xid::bodySize | ( |  | ) | const

void qpid::framing::Xid::clearBranchIdFlag | ( |  | ) |

void qpid::framing::Xid::clearFormatFlag | ( |  | ) |

void qpid::framing::Xid::clearGlobalIdFlag | ( |  | ) |

void qpid::framing::Xid::decode | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::Xid::decodeStructBody | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::Xid::encode | ( | Buffer & |  | ) | const

uint32_t qpid::framing::Xid::encodedSize | ( |  | ) | const

void qpid::framing::Xid::encodeStructBody | ( | Buffer & |  | ) | const

const std::string& qpid::framing::Xid::getBranchId | ( |  | ) | const

uint32_t qpid::framing::Xid::getFormat | ( |  | ) | const

const std::string& qpid::framing::Xid::getGlobalId | ( |  | ) | const

bool qpid::framing::Xid::hasBranchId | ( |  | ) | const

bool qpid::framing::Xid::hasFormat | ( |  | ) | const

bool qpid::framing::Xid::hasGlobalId | ( |  | ) | const

void qpid::framing::Xid::print | ( | std::ostream & | out | ) | const

void qpid::framing::Xid::setBranchId | ( | const std::string & | _branchId | ) |

void qpid::framing::Xid::setFormat | ( | uint32_t | _format | ) |

void qpid::framing::Xid::setGlobalId | ( | const std::string & | _globalId | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const Xid & |
| ) |  | `[friend]`

## Member Data Documentation

const uint16_t qpid::framing::Xid::TYPE = 1540`[static]`

Definition at line 44 of file Xid.h.

The documentation for this class was generated from the following file:

- qpid/framing/Xid.h